GStreamer::Query::Duration(3)

NAME
GStreamer::Query::Duration

METHODS

  GstQuery = GStreamer::Query::Duration->new ($format)

•   $format (GStreamer::Format)

  list = $query->duration ($format=0, $duration=0)

•   $format (GStreamer::Format)

•   $duration (64 bit integer)

ENUMS AND FLAGS

  enum GStreamer::Format

•   'undefined' / 'GST_FORMAT_UNDEFINED'

•   'default' / 'GST_FORMAT_DEFAULT'

•   'bytes' / 'GST_FORMAT_BYTES'

•   'time' / 'GST_FORMAT_TIME'

•   'buffers' / 'GST_FORMAT_BUFFERS'

•   'percent' / 'GST_FORMAT_PERCENT'

SEE ALSO
GStreamer

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.